#include "Exception.h"


//****************FileExc****************

FileExc::FileExc() { str = "\nFile was not found!\n"; }
const char* FileExc::what() const { return str.c_str(); }


//****************EmptyBufferExc****************

EmptyBufferExc::EmptyBufferExc() { str = "\nElements were not found.\n"; }
EmptyBufferExc::EmptyBufferExc(std::string _str) { str = _str; }
const char* EmptyBufferExc::what() const { return str.c_str(); }


//****************NodeWrongIDExc****************

NodeWrongIDExc::NodeWrongIDExc() { str = "\nNode with that ID does not exist!\n"; }
NodeWrongIDExc::NodeWrongIDExc(std::string _str) { str = _str; }
const char* NodeWrongIDExc::what() const { return str.c_str(); }